Debian Bug report logs - #495985
ITP: tcpdf -- TCPDF is a PHP class for generating PDF

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alessandro De Zorzi <lota@nonlontano.it>

Date: Thu, 21 Aug 2008 20:12:01 UTC

Owned by: Raphael Hertzog <hertzog@debian.org>

Severity: wishlist

Fixed in version tcpdf/6.0.010+dfsg-1

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#495985; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alessandro De Zorzi <lota@nonlontano.it>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alessandro De Zorzi <lota@nonlontano.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: tcpdf -- TCPDF is a PHP class for generating PDF files on-the-fly
Date: Thu, 21 Aug 2008 22:09:37 +0200
Package: wnpp
Severity: wishlist
Owner: Alessandro De Zorzi <lota@nonlontano.it>


* Package name    : tcpdf
  Version         : 4.0.020
  Upstream Author : Nicola Asuni
* URL             : http://www.tcpdf.org
* License         : GNU Lesser General Public License
  Programming Lang: PHP
  Description     : TCPDF is a PHP class for generating PDF files on-the-fly

TCPDF is a PHP class for generating PDF files on-the-fly without
requiring external extensions.

TCPDF has been originally derived from the Public Domain FPDF class by
Olivier Plathey (http://www.fpdf.org).

Main Features:

* no external libraries are required for the basic functions;
* supports all ISO page formats;
* supports UTF-8 Unicode and Right-To-Left languages;
* supports document encryption;
* includes methods to publish some XHTML code;
* includes graphic (geometric) and transformation methods;
* includes bookmarks;
* includes Javascript and forms support;
* includes a method to print various barcode formats;
* supports TrueTypeUnicode, TrueType, Type1 and CID-0 fonts;
* supports custom page formats, margins and units of measure;
* includes methods for page header and footer management;
* supports automatic page break;
* supports automatic page numbering and page groups;
* supports automatic line break and text justification;
* supports JPEG and PNG images whitout GD library and all images
  supported by GD: GD, GD2, GD2PART, GIF, JPEG, PNG, BMP, XBM, XPM;
* supports stroke and clipping mode for text;
* supports clipping masks;
* supports Grayscale, RGB and CMYK colors and transparency;
* supports links and annotations;
* supports page compression (requires zlib extension);
* supports PDF user's rights.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495985; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alessandro De Zorzi <lota@nonlontano.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 495985@bugs.debian.org (full text, mbox):

From: Alessandro De Zorzi <lota@nonlontano.it>
To: 495985@bugs.debian.org
Subject: PhpDocumentor is available in PEAR
Date: Thu, 28 Aug 2008 13:46:03 +0200
Upstream author switch from PHP License to LGPL with release
1.3.0RC6 (2006-04-30).

At this time PhpDocumentor is available in PEAR
http://pear.php.net/package/PhpDocumentor

1.4.2 (stable) was released on 2008-03-30

Alessandro De Zorzi




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 21 Sep 2008 20:06:02 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 06 Dec 2008 05:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alessandro De Zorzi <lota@nonlontano.it>:
Bug#495985; Package wnpp. (Fri, 06 Feb 2009 18:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alessandro De Zorzi <lota@nonlontano.it>. (Fri, 06 Feb 2009 18:48:02 GMT) Full text and rfc822 format available.

Message #19 received at 495985@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 495985@bugs.debian.org
Cc: 495985-subscribe@bugs.debian.org, 495985-submitter@bugs.debian.org
Subject: interested in tcpdf for debian -- progress?
Date: Fri, 06 Feb 2009 13:45:17 -0500
[Message part 1 (text/plain, inline)]
Hi Alessandro--

thanks for offering to package tcpdf for debian.  I just recently ran
into trouble because of the lack of decent unicode support in fpdf, so
i'd be really interested in seeing tcpdf be made as simply available as
possible.

What's the state of the packaging like?  Do you need testers?  can i do
anything to help?

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Message sent on to Alessandro De Zorzi <lota@nonlontano.it>:
Bug#495985. (Fri, 06 Feb 2009 18:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495985; Package wnpp. (Fri, 06 Feb 2009 19:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro De Zorzi <lota@nonlontano.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 06 Feb 2009 19:15:02 GMT) Full text and rfc822 format available.

Message #27 received at 495985@bugs.debian.org (full text, mbox):

From: Alessandro De Zorzi <lota@nonlontano.it>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 495985@bugs.debian.org
Subject: Re: Bug#495985: interested in tcpdf for debian -- progress?
Date: Fri, 06 Feb 2009 20:13:37 +0100
Package tcpdf ready:
http://open.rhx.it/debian/source/tcpdf_4.0.022.dfsg-2.dsc

but not accepted in Debian due some files that seem
not Debian compliant... I do not fully understood

[...rejected, as there are several binary files without the source
installed in usr/share/php5/tcpdf, at least in images, and as
far as I can tell also all the fonts are binaries, not source
(I wasn't able to verify this as I couldn't uncompress the
.z files).
bug.eps, pelican.ai and tiger.ai are the definite blockers...]

another dfsg could be accepted?

I also prepare an upgrade for php-fpdf
http://open.rhx.it/debian/source/php-fpdf_1.6.dfsg-1.dsc
but downgrade in Debian due incomprehension with current
maintainer

cheers,
Alessandro







Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alessandro De Zorzi <lota@nonlontano.it>:
Bug#495985; Package wnpp. (Mon, 01 Feb 2010 10:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alessandro De Zorzi <lota@nonlontano.it>. (Mon, 01 Feb 2010 10:15:10 GMT) Full text and rfc822 format available.

Message #32 received at 495985@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 495985@bugs.debian.org, 495985-submitter@bugs.debian.org
Subject: tcpdf: also needed for drupal print module
Date: Mon, 01 Feb 2010 02:12:01 -0800
Hi Alessandro,

Has there been any progress on packaging tcpdf? I discovered today that the 
drupal print module wants to use it (or dompdf, I just submitted RFP 
#567928) for pdf generation.

Thanks,

-- 
Matt Taggart
taggart@debian.org






Message sent on to Alessandro De Zorzi <lota@nonlontano.it>:
Bug#495985. (Mon, 01 Feb 2010 10:15:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495985; Package wnpp. (Mon, 01 Feb 2010 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro De Zorzi <lota@nonlontano.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 01 Feb 2010 17:00:02 GMT) Full text and rfc822 format available.

Message #40 received at 495985@bugs.debian.org (full text, mbox):

From: Alessandro De Zorzi <lota@nonlontano.it>
To: 495985@bugs.debian.org
Subject: Re: Bug#495985: tcpdf: also needed for drupal print module
Date: Mon, 01 Feb 2010 17:49:15 +0100
thanks for your interest, I tried to make a tcpdf package after php-fpdf troubles... anyway my tcpdf package cleaned [1] REJECTED due some .ai binary files... (if I right understand)

I agree the strong Debian checks before accept new packages, anyway my opinion is that .ai (Abobe Illustratr) is a format like a PostScript file (vector image), and others debian packages contains .ai files [2]

after these experiences I think that is not easy give my help to Debian

cheers
Alessandro

[1] I already submit a DFSG package

[2] http://packages.debian.org/lenny/texlive-fonts-extra
http://packages.debian.org/lenny/typo3-src-4.2
 





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alessandro De Zorzi <lota@nonlontano.it>:
Bug#495985; Package wnpp. (Mon, 01 Feb 2010 20:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alessandro De Zorzi <lota@nonlontano.it>. (Mon, 01 Feb 2010 20:57:08 GMT) Full text and rfc822 format available.

Message #45 received at 495985@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Alessandro De Zorzi <lota@nonlontano.it>, 495985@bugs.debian.org
Cc: Matt Taggart <taggart@debian.org>
Subject: Re: Bug#495985: tcpdf: also needed for drupal print module
Date: Mon, 01 Feb 2010 15:55:06 -0500
[Message part 1 (text/plain, inline)]
Hi Alessandro--

On 02/01/2010 11:49 AM, Alessandro De Zorzi wrote:
> thanks for your interest, I tried to make a tcpdf package after php-fpdf troubles... anyway my tcpdf package cleaned [1] REJECTED due some .ai binary files... (if I right understand)
> 
> I agree the strong Debian checks before accept new packages, anyway my opinion is that .ai (Abobe Illustratr) is a format like a PostScript file (vector image), and others debian packages contains .ai files [2]
> 
> after these experiences I think that is not easy give my help to Debian

This sounds frustrating, i'm sorry to hear you had that experience.
Looking at the files you have in

  http://open.rhx.it/debian/source/

i do see tiger.ai, pelican.ai, and bug.eps in the images/ directory, but
i also don't think they're needed for the package, so it would be
relatively easy to just strip them out if there's any question about
their licensing.

i suspect that the font issues are more serious.  the package contains
several font files that don't look human-generated at all -- they're
presumably the output of some other machine-generated process.

in the latest version from upstream (4.8.031?), it looks like they've
included those tools in fonts/utils, but as separate (embedded) tarballs
for the pfm2afm and ttf2ufm utilities.

Those programs themselves might be better broken out as separate
packages, so that they could be reviewed and maintained independently.
they present their own issues:

 pfm2afm:  the licensing for the embedded source appears to say:

 *  Copyright:                                                      *
 *      pfm2afm - Copyright (C) IBM Corp., 1991                     *
 *                                                                  *
 *      This code is released for public use as long as the         *
 *      copyright remains intact.  This code is provided asis       *
 *      without any warrenties, express or implied.                 *

This doesn't appear to allow modification or redistribution of
modifications.  (as it's distributed as part of tcpdf, i'm baffled that
they claim OSI certification)

ttf2ufm is *much* larger and i haven't had a chance to review it.

So i think tcpdf could enter debian more easily if the entire images and
fonts subdirectories were cleaned out (perhaps leaving the scripts which
do have explicit DFSG licensing).  no need to include the embeddable
versions of the dejavu or freefont families either -- once the font
transformation tools are packaged up, users can create their own
variants of system-installed fonts (or an energetic maintainer could
hook into fontconfig and auto-build embeddable versions of every font
installed on the system.

This would leave tcpdf somewhat less useful (as we wouldn't even have
the tools available to create embedded versions of fonts), but might
also spur work on getting the font conversion utilities into debian, and
creating an infrastructure for people to generate the embedded font
blobs.  Just to be able to use unicode in PHP-generated PDFs would be
great, even if we have to use the default PDF fonts.

does this make the set of problems more clear?

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alessandro De Zorzi <lota@nonlontano.it>:
Bug#495985; Package wnpp. (Sat, 19 Feb 2011 17:13:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alessandro De Zorzi <lota@nonlontano.it>. (Sat, 19 Feb 2011 17:13:41 GMT) Full text and rfc822 format available.

Message #50 received at 495985@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 495985@bugs.debian.org
Cc: control@bugs.debian.org
Subject: tcpdf: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:36 +0000
retitle 495985 RFP: tcpdf -- TCPDF is a PHP class for generating PDF files on-the-fly
noowner 495985
thanks

Hi,

This is an automatic email to change the status of tcpdf back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting tcpdf, please send a mail to
<control@bugs.debian.org> with:

 retitle 495985 ITP: tcpdf -- TCPDF is a PHP class for generating PDF files on-the-fly
 owner 495985 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <495985@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: tcpdf -- TCPDF is a PHP class for generating PDF files on-the-fly' from 'ITP: tcpdf -- TCPDF is a PHP class for generating PDF files on-the-fly' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:15:33 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Alessandro De Zorzi <lota@nonlontano.it>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:15:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#495985; Package wnpp. (Sat, 13 Aug 2011 16:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Martínez Moreno <ender@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 13 Aug 2011 16:21:08 GMT) Full text and rfc822 format available.

Message #59 received at 495985@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: 495985@bugs.debian.org, Jérémy Lal <jerry@edagames.com>
Cc: control@bugs.debian.org, David Martínez Moreno <ender@debian.org>
Subject: Intend to package again TCPDF.
Date: Fri, 12 Aug 2011 17:25:27 -0700
retitle 495985 ITP: tcpdf -- TCPDF is a PHP class for generating PDF 
files on-the-fly
thanks

    Hello, I'm taking this ITP into consideration again.  I have been 
unable to get the TCPDF packages from Alessandro, so I'm creating new 
ones form scratch.  As soon as I get proper Internet access, I'll upload 
the mercurial repository somewhere for public consumption.

    Best regards,


        Ender.




Changed Bug title to 'ITP: tcpdf -- TCPDF is a PHP class for generating PDF' from 'RFP: tcpdf -- TCPDF is a PHP class for generating PDF files on-the-fly' Request was from David Martínez Moreno <ender@debian.org> to control@bugs.debian.org. (Sat, 13 Aug 2011 16:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#495985; Package wnpp. (Sat, 13 Aug 2011 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 13 Aug 2011 21:33:06 GMT) Full text and rfc822 format available.

Message #66 received at 495985@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: David Martínez Moreno <ender@debian.org>
Cc: 495985@bugs.debian.org
Subject: Re: Intend to package again TCPDF.
Date: Sat, 13 Aug 2011 23:29:59 +0200
Hi,
just to make sure you noticed ttf2ufm has been uploaded by Ondřej Surý
a couple of days ago, that should help tcpdf packaging.
I'm interested because parts of tcpdf are in redmine 1.2,
so i'll follow your work on debian/copyright.

Regards,
Jérémy.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#495985; Package wnpp. (Mon, 15 Aug 2011 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Martínez Moreno <ender@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 15 Aug 2011 01:06:03 GMT) Full text and rfc822 format available.

Message #71 received at 495985@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: 495985@bugs.debian.org
Cc: David Martínez Moreno <ender@debian.org>, Jérémy Lal <jerry@edagames.com>
Subject: Re: Intend to package again TCPDF.
Date: Sun, 14 Aug 2011 18:03:09 -0700
You can take a look at my progress in http://inguma.eu/projects/tcpdf 
(Redmine, of course, hint, hint :-).


        Ender.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#495985; Package wnpp. (Tue, 23 Aug 2011 05:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro De Zorzi <lota@nonlontano.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 23 Aug 2011 05:36:03 GMT) Full text and rfc822 format available.

Message #76 received at 495985@bugs.debian.org (full text, mbox):

From: Alessandro De Zorzi <lota@nonlontano.it>
To: 495985@bugs.debian.org
Subject: tcpdf package
Date: Tue, 23 Aug 2011 07:24:36 +0200
Hi Ender,
I removed my old work for tcpdf some months ago... anyway your work
seems better ;-P

At this time I am current maintainer of php-fpdf, upstream freshly
released v1.7 (just uploaded in sid).

I will look your repository [1] for tcpdf package, and I will try the
package to improve php-fpdf package that needs a refresh

cheers
Alessandro

[1] http://inguma.eu/projects/tcpdf/repository/show/debian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#495985; Package wnpp. (Fri, 18 Nov 2011 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 18 Nov 2011 09:45:14 GMT) Full text and rfc822 format available.

Message #81 received at 495985@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: 495985@bugs.debian.org
Subject: TCPDF license not DFSG suitable?
Date: Fri, 18 Nov 2011 09:26:53 +0000
I've just taken a look at the TCPDF license[1]:

  "TCPDF is free software: you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation, either version 3 of the
  License, or (at your option) any later version. Additionally, 
  YOU CAN'T REMOVE ANY TCPDF COPYRIGHT NOTICE OR LINK FROM THE 
  GENERATED PDF DOCUMENTS."

That last term looks pretty clearly unsuitable for Debian.




[1] http://www.tcpdf.org/license.php


-- 
Jon Dowland





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#495985; Package wnpp. (Tue, 07 Feb 2012 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel James <daniel.james@sourcefabric.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Feb 2012 17:54:03 GMT) Full text and rfc822 format available.

Message #86 received at 495985@bugs.debian.org (full text, mbox):

From: Daniel James <daniel.james@sourcefabric.org>
To: 495985@bugs.debian.org
Subject: Re: TCPDF license not DFSG suitable?
Date: Tue, 07 Feb 2012 17:45:05 +0000
Hi Jon,

Checking http://www.tcpdf.org/license.php today, the DFSG incompatible
clause has now been removed.

Cheers!

Daniel




Owner recorded as Alessandro De Zorzi <lota@nonlontano.it>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 12 Jun 2012 05:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alessandro De Zorzi <lota@nonlontano.it>:
Bug#495985; Package wnpp. (Mon, 09 Jul 2012 14:54:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alessandro De Zorzi <lota@nonlontano.it>. (Mon, 09 Jul 2012 14:54:22 GMT) Full text and rfc822 format available.

Message #93 received at 495985@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 495985@bugs.debian.org, David Martínez Moreno <ender@debian.org>, Alessandro De Zorzi <lota@nonlontano.it>
Cc: Matt Taggart <taggart@debian.org>, Jérémy Lal <jerry@edagames.com>
Subject: What's the status of tcpdf debian packaging?
Date: Mon, 9 Jul 2012 16:52:42 +0200
owner 495985 ender@debian.org
thanks

Hi,

On Fri, 12 Aug 2011, David Martínez Moreno wrote:
> retitle 495985 ITP: tcpdf -- TCPDF is a PHP class for generating PDF
> files on-the-fly
> thanks
> 
>     Hello, I'm taking this ITP into consideration again.  I have
> been unable to get the TCPDF packages from Alessandro, so I'm
> creating new ones form scratch.  As soon as I get proper Internet
> access, I'll upload the mercurial repository somewhere for public
> consumption.

We're one year later already... and this package still isn't in Debian.

What's the current status?

I'm also interested to see this package in Debian and it looks like
all issues can be sorted out. At least by dropping some features if
nothing else is possible.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/




Owner changed from Alessandro De Zorzi <lota@nonlontano.it> to ender@debian.org. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 09 Jul 2012 14:54:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ender@debian.org:
Bug#495985; Package wnpp. (Fri, 19 Apr 2013 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ender@debian.org. (Fri, 19 Apr 2013 14:12:04 GMT) Full text and rfc822 format available.

Message #100 received at 495985@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 495985@bugs.debian.org
Subject: Taking over the tcpdf ITP
Date: Fri, 19 Apr 2013 16:09:03 +0200
Control: owner -1 Raphael Hertzog <hertzog@debian.org>

Hi,

given nobody reacted to my last mail, I'm taking over this ITP.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Owner changed from ender@debian.org to Raphael Hertzog <hertzog@debian.org>. Request was from Raphael Hertzog <hertzog@debian.org> to 495985-submit@bugs.debian.org. (Fri, 19 Apr 2013 14:12:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 19 Apr 2013 20:06:08 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 20 Apr 2013 15:03:04 GMT) Full text and rfc822 format available.

Notification sent to Alessandro De Zorzi <lota@nonlontano.it>:
Bug acknowledged by developer. (Sat, 20 Apr 2013 15:03:04 GMT) Full text and rfc822 format available.

Message #109 received at 495985-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 495985-close@bugs.debian.org
Subject: Bug#495985: fixed in tcpdf 6.0.010+dfsg-1
Date: Sat, 20 Apr 2013 15:00:12 +0000
Source: tcpdf
Source-Version: 6.0.010+dfsg-1

We believe that the bug you reported is fixed in the latest version of
tcpdf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 495985@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated tcpdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 19 Apr 2013 17:52:58 +0200
Source: tcpdf
Binary: php-tcpdf
Architecture: source all
Version: 6.0.010+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 php-tcpdf  - PHP class for generating PDF files on-the-fly
Closes: 495985
Changes: 
 tcpdf (6.0.010+dfsg-1) unstable; urgency=low
 .
   * Repackage the upstream sources to drop fonts/free* which are copies of the
     GPL-licensed fonts provided by freefont but for which upstream doesn't
     provide the corresponding sources in their release tarball.
   * Update the copyright file to drop the paragraph about those files.
   * Provide debian/rules get-orig-source to repackage the upstream sources.
 .
 tcpdf (6.0.010-1) unstable; urgency=low
 .
   * Initial release. (Closes: #495985)
   * Install cache directory as a symlink to /var/cache/tcpdf (a www-data owned
     directory).
   * Add a README.Debian documenting some potential permissions issues.
Checksums-Sha1: 
 fb15a03560461e86b75eccf9efff03aa37b5d7c8 1891 tcpdf_6.0.010+dfsg-1.dsc
 a6cf0fdef3d489f3968bcd6fd21c1eeb0794c534 7201772 tcpdf_6.0.010+dfsg.orig.tar.xz
 1ec44dc6f42968b8c6b09efc7b1de3a36807ef87 4711 tcpdf_6.0.010+dfsg-1.debian.tar.gz
 0d9e7b861251fa27e33f043718de76327a237277 8306988 php-tcpdf_6.0.010+dfsg-1_all.deb
Checksums-Sha256: 
 7846074a1b5265d32e19c6c0124ce58313436f2c3faeb6fea0b757a2667aa6d3 1891 tcpdf_6.0.010+dfsg-1.dsc
 2dbc974babf053505f1c5019ac6a1353e3c5d9dd28e80eb063c48c19a141a94c 7201772 tcpdf_6.0.010+dfsg.orig.tar.xz
 0a6cda3343ee5755b1485a765585e9f78a194c398af86f06b494f9fe5adb1223 4711 tcpdf_6.0.010+dfsg-1.debian.tar.gz
 2164f085b9787fb672d3924430800dc9a8e7960cb6d9a50133955f1315f595cf 8306988 php-tcpdf_6.0.010+dfsg-1_all.deb
Files: 
 58f8088ba8e8dcea1f6268e12a3d0e44 1891 php optional tcpdf_6.0.010+dfsg-1.dsc
 b27efdaef78cdd152d0258fcd903adac 7201772 php optional tcpdf_6.0.010+dfsg.orig.tar.xz
 fd12b8907761bbbfef77d657fd5e137d 4711 php optional tcpdf_6.0.010+dfsg-1.debian.tar.gz
 07fb227751dfcf526ff437e70be0ca53 8306988 php optional php-tcpdf_6.0.010+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJRcWubAAoJEOYZBF3yrHKaYpoQALUjlDqRI0zMCQm8Jek9Aha+
T4qtV/Eq82XA8fFGp1hFKpUoIAWMFNqXY6lGKujThNIsxKaZbCDzLgVpQpFHcFoE
7n0THdTcey0mPxQ2mBBQXwjd1FjEDz/98hwItLA2F8xgoOsha3nhQLzf0tF39r/i
syiv5Pout7w2suZrqr+D4UCrUYQcSfXTt42pGFC64HHnBr3Om/b9kKGmojPEzQOT
btPeGgzwJdCM2jG8aSgR6O5reiiKBkQzpTp9BqmfAYOrf8d14kaicukUxT39/Kss
zhu5DiQeJkoAe8euUqP+KkHy653bG9f7vXQt10bYHryHE+ygIEILXsSZ0WrRQ3hO
H4PFcU5GO62blDLg/CZS9LCyRFV08O5LDtMvzYL2hxeZE446Mn5GsE3QuBRtiQ0T
Bk3ZwksiJ89WQpOnzyf29CC3wUt0DFeSIi11Cz2c4hJBx1Nzw/eRzcLe1x01bc31
ahn81mZo+QYz9kNkBOJRKH6sXdAbcUv7s9tLT8CJRLq9CY9ozwhbaSZqMKpe5BoH
CymOYjmgoOMbC4EyOFtwnfth9iWqg8FArsDN+3PQNRI0yVTy09p28UfYerB4ziRz
pCwIkiflESF/9fhkagmrIgHUW38Z3/bhWKqUrDwz+vvba5aDgWn1msWbfL6VSzb7
4ZCQUugdj8ldXMZi6CYE
=ShXx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 May 2013 07:30:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:33:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.